from dataclasses import dataclass
from typing import Self


@dataclass
class Person:
    name: str
    age: int

    def move(self: Self) -> None:
        print(f"{self.name} говорит")

    def talk(self: Self) -> None:
        print(f"{self.name} идёт")
